<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GraftingTask](./bitburner.graftingtask.md)

## GraftingTask interface

Grafting Work

**Signature:**

```typescript
interface GraftingTask extends PlayerBaseTask 
```
**Extends:** [PlayerBaseTask](./bitburner.playerbasetask.md)

## Remarks

An object representing the current grafting task

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[augmentation](./bitburner.graftingtask.augmentation.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.graftingtask.type.md)


</td><td>


</td><td>

"GRAFTING"


</td><td>


</td></tr>
</tbody></table>

